# Class: c3.Polar.Layer.Pie

Defined in: | js/c3-polar.coffee
Inherits: | c3.Polar.Layer.Segment

## Overview

A Pie Chart. If you limit elements and sort by value then you can defined `other_options` to create an arc segment that represents all of the "other" values.

## Extensibility

Each layer creates the following c3.Selection members:

- other_arc - for svg:path elements for the "other" arc segment.

### Author:

- Douglas Armstrong

## Variables Summary

version =

      0.1

type =

      'pie'

sort =

      false

  [Boolean, Function] How to sort the partitioned pie chart segments. `true` sorts based on value, or you can define an alternative accessor function to be used for sorting. The `other` arc only appears if sort is `true`.

inner_radius =

      0

  [Number, Function] Inner radius of the arc segment. This may be called with undefined data for the "other" arc segment. The first argument is the data element the second argument is the index

outer_radius =

      1

  [Number, Function] Outer radius of the arc segment. The first argument is the data element the second argument is the index This may be called with undefined data for the "other" arc segment.

other_options =

      undefined

  [c3.Selection.Options] Options to apply for an "other" arc segment when limiting data with `limit_elements` For callbacks, the first argument is the data element the second argument is the index

### Variable inherited from c3.Polar.Layer.Segment

version type key value limit_elements pad arc_options _next_uid data name class r t options handlers restyle

## Instance Method Summary

- # (void) _init() Bound
- # (void) _layout(data) Bound
- # (void) _draw(origin) Bound
- # (void) _style(style_new) Bound

## Inherited Method Summary

### Methods inherited from c3.Polar.Layer.Segment

#_init #_update #_draw #_style #get_position_from_key #init #size #_size #update #draw #style #redraw #toPolar

## Instance Method Details

# (void) _init() Bound

# (void) _layout(data) Bound

# (void) _draw(origin) Bound

# (void) _style(style_new) Bound

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input